<?php
/**
 * VW ConsultingTheme: Block Patterns
 *
 * @package VW Consulting
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'vw-consulting',
		array( 'label' => __( 'VW Consulting', 'vw-consulting' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'vw-consulting/banner-section',
		array(
			'title'      => __( 'Banner Section', 'vw-consulting' ),
			'categories' => array( 'vw-consulting' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\",\"id\":5721,\"minHeight\":562,\"minHeightUnit\":\"px\",\"align\":\"full\",\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover alignfull has-background-dim banner-section\" style=\"background-image:url(" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png);min-height:562px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"full\"} -->\n<div class=\"wp-block-columns alignfull are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"mb-5\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center mb-5\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":1,\"className\":\"m-0\"} -->\n<h1 class=\"has-text-align-left m-0\">TE OBTINUIT ADEPTO SATIS SOMNO ALISQUE</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"className\":\"m-0\"} -->\n<p class=\"m-0\">TE OBTINUIT ADEPTO SATIS SOMNO</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"borderRadius\":0,\"className\":\"btn mt-2\"} -->\n<div class=\"wp-block-button btn mt-2\"><a class=\"wp-block-button__link no-border-radius\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"align\":\"wide\",\"className\":\"contact-section mt-5\"} -->\n<div class=\"wp-block-group alignwide contact-section mt-5\"><div class=\"wp-block-group__inner-container\"><!-- wp:columns {\"verticalAlignment\":\"top\",\"align\":\"wide\",\"className\":\"contact-header m-0\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top contact-header m-0\"><!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:paragraph {\"align\":\"left\",\"className\":\"phone-number mb-0\"} -->\n<p class=\"has-text-align-left phone-number mb-0\">+00-123-456-789</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:paragraph {\"align\":\"left\",\"className\":\"email mb-0\"} -->\n<p class=\"has-text-align-left email mb-0\">consulting123@gmail.com</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:paragraph {\"align\":\"left\",\"className\":\"timing mb-0\"} -->\n<p class=\"has-text-align-left timing mb-0\">Mon To Fri 8am to 8pm</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:social-links {\"align\":\"left\",\"className\":\"is-style-logos-only mb-0\"} -->\n<ul class=\"wp-block-social-links alignleft is-style-logos-only mb-0\"><!-- wp:social-link {\"url\":\"www.facebook.com\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"www.instagram.com\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"www.linkedin.com\",\"service\":\"linkedin\"} /-->\n\n<!-- wp:social-link {\"url\":\"www.youtube.com\",\"service\":\"youtube\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'vw-consulting/services-section',
		array(
			'title'      => __( 'Services Section', 'vw-consulting' ),
			'categories' => array( 'vw-consulting' ),
			'content'    => "<!-- wp:cover {\"customOverlayColor\":\"#f2f5fa\",\"align\":\"full\",\"className\":\"article-outer-box\"} -->\n<div class=\"wp-block-cover alignfull has-background-dim article-outer-box\" style=\"background-color:#f2f5fa\"><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"align\":\"wide\",\"className\":\"article-heading\"} -->\n<div class=\"wp-block-group alignwide article-heading\"><div class=\"wp-block-group__inner-container\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":4,\"style\":{\"color\":{\"text\":\"#1f2732\"}}} -->\n<h4 class=\"has-text-align-left has-text-color\" style=\"color:#1f2732\">INDUSTRIES</h4>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"textAlign\":\"left\",\"style\":{\"color\":{\"text\":\"#1f2732\"}}} -->\n<h2 class=\"has-text-align-left has-text-color\" style=\"color:#1f2732\">OUR SERVICES</h2>\n<!-- /wp:heading --></div></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"align\":\"wide\",\"className\":\"article-container\"} -->\n<div class=\"wp-block-columns alignwide article-container\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"overlayColor\":\"white\",\"className\":\"article-section\"} -->\n<div class=\"wp-block-cover has-white-background-color has-background-dim article-section\"><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"><!-- wp:image {\"align\":\"center\",\"id\":5802,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/services1.png\" alt=\"\" class=\"wp-image-5802\"/></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":3,\"style\":{\"color\":{\"text\":\"#1f2732\"}}} -->\n<h3 class=\"has-text-align-left has-text-color\" style=\"color:#1f2732\">SERVICES TITLE 1</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"color\":{\"text\":\"#1f2732\"}}} -->\n<p class=\"has-text-align-left has-text-color\" style=\"color:#1f2732\">Lorem Ipsum has been the industry standard. Lorem Ipsum</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"borderRadius\":0,\"style\":{\"color\":{\"text\":\"#1f2732\"}},\"className\":\"service-btn\"} -->\n<div class=\"wp-block-button service-btn\"><a class=\"wp-block-button__link has-text-color no-border-radius\" style=\"color:#1f2732\">Continue Reading</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"overlayColor\":\"white\",\"className\":\"article-section\"} -->\n<div class=\"wp-block-cover has-white-background-color has-background-dim article-section\"><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"><!-- wp:image {\"align\":\"center\",\"id\":5800,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/services2.png\" alt=\"\" class=\"wp-image-5800\"/></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":3,\"style\":{\"color\":{\"text\":\"#1f2732\"}}} -->\n<h3 class=\"has-text-align-left has-text-color\" style=\"color:#1f2732\">SERVICES TITLE 2</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#1f2732\"}}} -->\n<p class=\"has-text-color\" style=\"color:#1f2732\">Lorem Ipsum has been the industry standard. Lorem Ipsum</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"borderRadius\":0,\"style\":{\"color\":{\"text\":\"#1f2732\"}},\"className\":\"service-btn\"} -->\n<div class=\"wp-block-button service-btn\"><a class=\"wp-block-button__link has-text-color no-border-radius\" style=\"color:#1f2732\">Continue Reading</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"overlayColor\":\"white\",\"className\":\"article-section\"} -->\n<div class=\"wp-block-cover has-white-background-color has-background-dim article-section\"><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"><!-- wp:image {\"align\":\"center\",\"id\":5803,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/services3.png\" alt=\"\" class=\"wp-image-5803\"/></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":3,\"style\":{\"color\":{\"text\":\"#1f2732\"}}} -->\n<h3 class=\"has-text-align-left has-text-color\" style=\"color:#1f2732\">SERVICES TITLE 3</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#1f2732\"}}} -->\n<p class=\"has-text-color\" style=\"color:#1f2732\">Lorem Ipsum has been the industry standard. Lorem Ipsum</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"borderRadius\":0,\"style\":{\"color\":{\"text\":\"#1f2732\"}},\"className\":\"service-btn\"} -->\n<div class=\"wp-block-button service-btn\"><a class=\"wp-block-button__link has-text-color no-border-radius\" style=\"color:#1f2732\">Continue Reading</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);
}